Bug 165116 - System hangs (black screen) & filesystem corrupts when starting X
System hangs (black screen) & filesystem corrupts when starting X
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-04 10:37 EDT by Sébastien La Paola
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 12:00:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvn (4.17 KB, text/plain)
2005-08-04 12:16 EDT, Sébastien La Paola
no flags Details
Xorg.0.log (37.20 KB, text/plain)
2005-08-04 12:19 EDT, Sébastien La Paola
no flags Details
Newer Xorg.0.log (15.22 KB, text/plain)
2005-08-05 08:38 EDT, Sébastien La Paola
no flags Details
My xorg.conf (2.67 KB, text/plain)
2005-08-05 08:41 EDT, Sébastien La Paola
no flags Details

  None (edit)
Description Sébastien La Paola 2005-08-04 10:37:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
This is neither broken libvgahw.a bug #161242 nor MGA native-pci-scan bug #163331.

I have a Matrox MGA G550 video .

I install a fresh copy of FC4 and get the two above bugs (the main symptom was: monitor out of sync).
I upgrade to xorg-x11-6.8.2-45 (yum --enablerepo=development install xorg-x11). Then I get a black screen, but no monitor claiming the video signal is out of sync. After a reboot, i notice that the root file system is corrupt.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-45

How reproducible:
Always

Steps to Reproduce:
1. install FC4
2. upgrade to xorg-x11-6.8.2-45 (bug is not reproduceable with -31)
3. start x


Actual Results:  I get a black screen and system freezes (always) and the root filesystem is corrupt (almost always or always but not detectable)

To be more precise:
1) Fist time many critical system files (such as /sbin/init) where made 
unuseable
2) Second time the root hard disk partition wasn't recognized as a valid 
ext3 partition any more!
3) Third time some other critical files were inacessible (could not log in as root)

fsck detects a lot of errors in the filesystem structure.

Expected Results:  X starting normally and no filesystem corruption.

Additional info:

I'll do a further test with the latest kernel.
Comment 1 Olivier Baudron 2005-08-04 11:24:54 EDT
I may be totally wrong but what may happen is the following:

The linux-native-pci patch implies that the pci config space is not directly
accessed  with assembly code (inl/outl) anymore. It triggers some more elaborate
functions in the kernel by accessing /proc/bus/pci/ . Also, the kernel has
plenty of casts into volatile. Therefore, if your kernel is compiled with a
broken gcc (as is the case here) the linux-native-pci patch may trigger some bad
behaviour.

That is just suppositions to explain why things are going worse from -31 to -45.

Anyway, in case of corruption, you should really update the kernel.
Please also re-attach your Xorg.log and lspci -vvn, so that we have a complete
case here.
Comment 2 Olivier Baudron 2005-08-04 11:28:23 EDT
In case the new kernel plus -45 does not work, would you also test the new
kernel plus -45 minus linux-native-pci patch ?
Comment 3 Sébastien La Paola 2005-08-04 12:16:41 EDT
Created attachment 117462 [details]
lspci -vvn
Comment 4 Sébastien La Paola 2005-08-04 12:19:12 EDT
Created attachment 117464 [details]
Xorg.0.log
Comment 5 Sébastien La Paola 2005-08-04 13:46:15 EDT
kernel-2.6.12-1.1448_FC5 + xorg-x11-6.8.2-45 does not work, I get a black 
screen, and sometimes a randomly coloured square at the top left of the screen 
appearing for about 3 seconds when starting X. I believe that the new kernel 
doesn't produce any hard disk data loss, but i am not sure yet.

I surprisingly could start X successfully once. But system crashed when i tried 
to shutdown.

Sorry, I cannot build a linux-native-pci patch free xorg-x11 since my machine 
is too slow for that. It may take more than a whole day. I am currently waiting 
for a fresh FC4 install to finish. Perhaps could someone do it for me so i can 
test the resulting RPMs?

I am not sure to understand everything about your theory, Olivier: although I 
have some system architecture and programming knowledge, I am totally new to 
Linux.

Merci pour ton aide en tous cas!
Comment 6 Sébastien La Paola 2005-08-04 15:52:45 EDT
Another test: data is lost even with xorg-x11-6.8.2-31.

This did not happen before because I had another monitor whose capabilities 
were note detected properly and a out of sync happened and did not permit that 
data loss bug to happen.

Conclusion: there is neither progressive nor regressive change for that bug 
between -31 and -45.
Comment 7 Sébastien La Paola 2005-08-04 17:59:32 EDT
No data loss with kernel-2.6.12-1.1448_FC5.

But X still doesn't start, whatever version used (-31 or -45).
Comment 8 Olivier Baudron 2005-08-05 05:01:36 EDT
With latest kernel and -45: does the PC still hangs when X is started ?
Comment 9 Olivier Baudron 2005-08-05 05:07:25 EDT
Can you attach your /etc/X11/xorg.conf ?
Comment 10 Olivier Baudron 2005-08-05 07:22:58 EDT
Another question: It seems that X aborts while loading the DRM module. Can you
comment the line "Load dri" in the module section, and see if it works better ?
Comment 11 Sébastien La Paola 2005-08-05 08:30:22 EDT
Computer still hangs with lastest kernel and -45. I get that str
Commenting out the "Load dri" from xorg.conf doesn't change anything.
Comment 12 Sébastien La Paola 2005-08-05 08:31:45 EDT
Computer still hangs with lastest kernel and -45. I get that strange square of 
coloured pixels on the top left of the screen.
Commenting out the "Load dri" from xorg.conf doesn't change anything.
Comment 13 Sébastien La Paola 2005-08-05 08:38:09 EDT
Created attachment 117489 [details]
Newer Xorg.0.log
Comment 14 Sébastien La Paola 2005-08-05 08:41:21 EDT
Created attachment 117490 [details]
My xorg.conf

I have put a "BusID "PCI:1:0:0" line in the device section, as the install
program did not. Is that right?
Comment 15 Olivier Baudron 2005-08-05 09:10:40 EDT
In reply to comment #14:

BusID is only required if you have more than one graphic chipset.
Comment 16 Olivier Baudron 2005-08-07 09:59:11 EDT
In reply to comment #5:

> I cannot build a linux-native-pci patch free xorg-x11 since my machine 
> is too slow for that.

I have rebuilt -45 without the linux-native-pci patch. It is at:
http://olivier.baudron.free.fr/RPMS/i386/Experimental/
I would be worth a try to narrow this issue down.
Comment 17 Sébastien La Paola 2005-08-07 14:14:53 EDT
(In reply to comment #16)
> I have rebuilt -45 without the linux-native-pci patch. It is at:
> http://olivier.baudron.free.fr/RPMS/i386/Experimental/
> I would be worth a try to narrow this issue down.

Sorry, I cannot download the xorg-x11-6.8.2-45.ob1.i386.rpm file. Connection 
breakes before download completes. I'll do another try tomorrow.
Comment 18 Sébastien La Paola 2005-08-08 13:31:12 EDT
(In reply to comment #16)
> I have rebuilt -45 without the linux-native-pci patch. It is at:
> http://olivier.baudron.free.fr/RPMS/i386/Experimental/
> I would be worth a try to narrow this issue down.

Results are identical. X still not works.
Comment 19 Sébastien La Paola 2005-08-08 13:41:39 EDT
There was a change in the behaviour of X since I updated my system with yum ($ 
yum update): instead of crashing at startup, it crashes when i try to switch to 
a VT or to shutdown X (with latest kernel and xorg-x11-6.8.2-45).

I don't know what caused that change.
Comment 20 Sébastien La Paola 2005-08-08 15:59:14 EDT
Everything is ok using "vesa" video driver (instead of "mga").
Comment 21 Sébastien La Paola 2005-08-08 19:31:48 EDT
I downgraded to a lower xorg-x11 version: 6.8.1-12.FC3

And I always get the same results: X starts well, but system hangs when trying 
to switch to a VT or to shutdown X.
Comment 22 Sébastien La Paola 2005-08-08 19:39:36 EDT
In fact, system does not crash, the system seems to keep working, but I cannot 
see anything on monitor. Monitor receives an abnormal video signal from the 
video card, which sets itself into power safe mode to prenvent any damages.

When I try to swich to a VT and then to switch back to X I get back a normal X 
screen.

When I shutdown X, and then try to type blindly "startx" at the invisible 
prompt, a get again a normal X screen.

(This has been tested on 6.8.1-12, I'll make a test on a newer version ASAP)
Comment 23 Alan Stern 2005-09-26 12:26:04 EDT
I have very similar symptoms under FC3.  I'm using xorg-x11-6.8.2-1.FC3.45.2
with the i810 video driver and kernel-2.6.12-1.1378_FC3.  The problems started
when I upgraded from xorg-x11 release 1.FC3.13.

When I switch to a VT and then back to X, the screen appears dark. 
Ctrl-Alt-Backspace doesn't appear to work -- it's hard to tell.

However if I don't switch to a VT and simply shut X down normally, everything
works the next time I run startx.

Let me know if there's any way I can help diagnose the problem.
Comment 24 Mike A. Harris 2006-06-27 12:00:29 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.